<?php
/**
 * MVClasses
 *
 * LICENSE
 *
 * "THE BEER-WARE LICENSE" (Revision 42):
 * "Sven Strittmatter" <ausserirdisch@sven-space.de> wrote this file.
 * As long as you retain this notice you can do whatever you want with
 * this stuff. If we meet some day, and you think this stuff is worth it,
 * you can buy me a beer in return.
 *
 * @category    MVClasses
 * @package     Filter
 * @copyright   Copyright (c) 2007 Sven Strittmatter
 */

/**
 * Enter description here...
 * 
 * Longdesc
 * 
 * @category    MVClasses
 * @package 	Filter
 * @copyright 	Copyright (c) 2007 Sven Strittmatter
 * @author	"Sven Strittmatter" <ausserirdisch@sven-space.de>
 * @version 	1.0
 * @link        http://www.sven-space.de/code/php/MVClasses
 */
class FilterChain {
    private $_filters = array();
	
    public function addFilter(Filter $f) {
        $this->_filters[] = $f;
    }
	
    public function processFilters(Request $req, Response $res) {
        foreach ($this->_filters as $filter) {
            $filter->execute($req, $res);
        }
    }
}